from django.urls import path
from . import views
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    # Existing helpdesk-related URL patterns
    path('helpdesk/submit/', views.HelpdeskSubmissionCreateView.as_view(), name='helpdesk_submission_create'),
    path('helpdesk/submissions/', views.HelpdeskSubmissionListView.as_view(), name='helpdesk-submission-list'),
    path('helpdesk/all-submissions/',views.HelpdeskSubmissionAllView.as_view(), name='helpdesk_submission_all'),  # New endpoint
    # Add other patterns here...
]

# Add media file handling in development
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

